rt-email-expiring-auth-tokens(8)

NAME
rt-email-expiring-auth-tokens - email users about expiring auth tokens

SYNOPSIS
    rt-email-expiring-auth-tokens --expires-by '7 days' --template 'Auth tokens expiring in 7 days in HTML' [--email-to 'admin@domain.com,other@domain.com'] [--user-filter 'apiuser,otheruser']

DESCRIPTION
This script is a tool to email users about their expiring auth tokens.

You may have some users used only for API access that do not have valid email addresses. Use the email-to and user-filter options to send emails about their expiring tokens to a valid email address.

OPTIONS

expires-by
    All auth tokens that will expire between today and this date will be included in the email.

    Format is YYYY-MM-DD or any date format supported by Time::ParseDate.

expires-on
    All auth tokens that expire on this date will be included in the email.

    Format is YYYY-MM-DD or any date format supported by Time::ParseDate.

template
    Specify name or id of template you want to use.

email-to
    Send the email to these email addresses instead of the user's email address. Accepts a comma separated string of email addresses.

user-filter
    A comma separated string of usernames for filtering the users to check for expiring auth tokens.

print
    Print the expiring auth tokens to STDOUT; don't email them.

help
    Print this message